Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend.impl.jgroups
Class JGroupsBackendQueueProcessorFactory

    java.lang.Object
      org.hibernate.search.backend.impl.jgroups.JGroupsBackendQueueProcessorFactory

All Implemented Interfaces:
  BackendQueueProcessorFactory

Direct Known Subclasses:
  MasterJGroupsBackendQueueProcessorFactory, SlaveJGroupsBackendQueueProcessorFactory

    public abstract class JGroupsBackendQueueProcessorFactory

extends java.lang.Object
implements BackendQueueProcessorFactory

Common base class for Master and Slave BackendQueueProcessorFactories

Author:
  Lukasz Moren

Field Summary
`protected org.jgroups.Address` | `address`
`protected org.jgroups.Channel` | `channel`
`protected java.lang.String` | `clusterName`
`static java.lang.String` | `CONFIGURATION_FILE`
`static java.lang.String` | `CONFIGURATION_STRING`
`static java.lang.String` | `CONFIGURATION_XML`
`static java.lang.String` | `JG_CLUSTER_NAME`
`static java.lang.String` | `JGROUPS_PREFIX`
`protected static org.slf4j.Logger` | `log`
`protected SearchFactoryImplementor` | `searchFactory`

Constructor Summary
`JGroupsBackendQueueProcessorFactory()`

Method Summary
`void` | `close()` Used to shutdown and eventually release resources.
`org.jgroups.Address` | `getAddress()` Cluster's node address
`org.jgroups.Channel` | `getChannel()`
`java.lang.String` | `getClusterName()`
`abstract java.lang.Runnable` | `getProcessor(java.util.List<LuceneWork> queue)` Return a runnable implementation responsible for processing the queue to a given backend.
`void` | `initialize(java.util.Properties props, SearchFactoryImplementor searchFactory)` Used at startup, called once as first method.
`void` | `setClusterName(java.lang.String clusterName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.slf4j.Logger log

### JGROUPS_PREFIX

    public static final java.lang.String JGROUPS_PREFIX

See Also:
  Constant Field Values

### CONFIGURATION_STRING

    public static final java.lang.String CONFIGURATION_STRING

See Also:
  Constant Field Values

### CONFIGURATION_XML

    public static final java.lang.String CONFIGURATION_XML

See Also:
  Constant Field Values

### CONFIGURATION_FILE

    public static final java.lang.String CONFIGURATION_FILE

See Also:
  Constant Field Values

### JG_CLUSTER_NAME

    public static final java.lang.String JG_CLUSTER_NAME

See Also:
  Constant Field Values

### clusterName

    protected java.lang.String clusterName

### searchFactory

    protected SearchFactoryImplementor searchFactory

### channel

    protected org.jgroups.Channel channel

### address

    protected org.jgroups.Address address

Constructor Detail

### JGroupsBackendQueueProcessorFactory

    public JGroupsBackendQueueProcessorFactory()

Method Detail

### initialize

    public void initialize(java.util.Properties props,
                           SearchFactoryImplementor searchFactory)

  Description copied from interface: `BackendQueueProcessorFactory`
  Used at startup, called once as first method.

  Specified by:
    `initialize` in interface `BackendQueueProcessorFactory`
  Parameters:
    `props` - all configuration properties
    `searchFactory` - the client

### getProcessor

    public abstract java.lang.Runnable getProcessor(java.util.List<LuceneWork> queue)

  Description copied from interface: `BackendQueueProcessorFactory`
  Return a runnable implementation responsible for processing the queue to a given backend.

  Specified by:
    `getProcessor` in interface `BackendQueueProcessorFactory`
  Parameters:
    `queue` - The work queue to process.
  Returns:
    `Runnable` which processes `queue` when started.

### close

    public void close()

  Description copied from interface: `BackendQueueProcessorFactory`
  Used to shutdown and eventually release resources. No other method should be used after this one.

  Specified by:
    `close` in interface `BackendQueueProcessorFactory`

### getChannel

    public org.jgroups.Channel getChannel()

### setClusterName

    public void setClusterName(java.lang.String clusterName)

### getClusterName

    public java.lang.String getClusterName()

### getAddress

    public org.jgroups.Address getAddress()

  Cluster's node address

  Returns:
    Address

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.